import request from '@/utils/request';
// 初始化list
export function getList(query) {
  return request({
    url: '/basedata/subtype/list',
    method: 'get',
    params: query
  })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/subtype/remove/${query}`,
    method: 'post',
    // params: query
  })
}

// 算法主类型查询
export function getAlgTypeList(query) {
  return request({
    url: '/basedata/subtype/getAlgTypeList/',
    method: 'get',
    // params: query
  })
}


// 新增
export function postAdd(query) {
  return request({
    url: '/basedata/subtype',
    method: 'post',
    data: query
  })
}

// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/subtype/${query}`,
    method: 'get',
  })
}
// 编辑
export function edit(query) {
  return request({
    url: `/basedata/subtype/edit`,
    method: 'post',
    data: query
  })
}